| Home | Libraries | People | FAQ | More

##### io_service::poll_one (2 of 2 overloads)

Run the `io_service` object's event processing loop to execute one ready handler.

    std::size_t poll_one(
        boost::system::error_code & ec);

The `poll_one()` function runs at most one handler that is ready to run, without blocking.

###### Parameters

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of handlers that were executed.